#! /bin/sh

PIDFILE=/var/run/chipcard/chipcardd4.pid

MASTER_PID=$(cat $PIDFILE)
if [ -z $MASTER_PID ]; then
	echo "Found no PID in $PIDFILE." >& 2
	echo "Apparently there is no Chipcard daemon running." >& 2
	exit 1
fi
SLAVE_PIDs=$(pgrep -P $MASTER_PID)
kill -USR2 $MASTER_PID $SLAVE_PIDs
